#include <bits/stdc++.h>
using namespace std;
int main(){
	string s;
	char t;
	cin >> s;
	for (int i = 0; i <= (s.size() - 1) / 2; i ++){
		// t = s[i];
		// s[i] = s[s.size() - i - 1];
		// s[s.size() - i - 1] = t;
		swap(s[i], s[s.size() - i - 1]);
	}
	while (s[0] == '0'){
		s.erase(0, 1);
	}
	int i = 0;
	while (i < s.size()){
		if (s[i] == '2') s[i] = '5';
		else if (s[i]=='5') s[i]='2';
		i++;
	}
	cout<<s<<endl;
}